rem 
rem $Header: v4dmutab.sql,v 4011400.6 90/04/23 19:28:45 atam Exp $ v4dmutab.sql Copyr (c) 1987 Oracle
rem 
rem SQLMENU640114,DD$:[FREEZE_SQLMENU.SQL.40114]
Rem Copyright (c) 1988 by Oracle Corporation
Rem NAME
Rem    <name>
Rem  FUNCTION
Rem  NOTES
Rem  MODIFIED
Rem   Kornet     08/26/88 - Change dmu$ to ora_sqlmenu
REM     07/15/87 F.R.Kornet Renamed public synonyms
REM
REM	Created   : 14-apr-86 Groenenberg
REM
REM SET SCAN OFF
SET TERMOUT OFF
SET ECHO ON
SET WORKSIZE 12

SPOOL ?/menu/admin/v4dmutab.log

DROP TABLE MENU_USER ;
CREATE TABLE MENU_USER (
	USER_NAME        CHAR(20)  NOT NULL,
	APPLICATION_NAME CHAR(6)   NOT NULL,
	WORK_CLASS       NUMBER    NOT NULL,
	DEBUG_ALLOWED    CHAR(1)   NOT NULL,
	OS_COMM_ALLOWED  CHAR(1)   NOT NULL,
	BGM_ALLOWED      CHAR(1)   NOT NULL );

DROP TABLE MENU_WORK_CLASS;
CREATE TABLE MENU_WORK_CLASS (
	WORK_CLASS       NUMBER   NOT NULL,
	APPLICATION_NAME CHAR(6)  NOT NULL,
	DESCRIP_1        CHAR(60) NOT NULL,
	DESCRIP_2        CHAR(60),
	DESCRIP_3        CHAR(60),
	DESCRIP_4        CHAR(60) );

DROP TABLE MENU_INFO;
CREATE TABLE MENU_INFO (
	MENU_NAME        CHAR(6)  NOT NULL,
	APPLICATION_NAME CHAR(6)  NOT NULL,
	TITLE            CHAR(40) NOT NULL,
	SUB_TITLE        CHAR(40) NOT NULL,
	BOTTOM_TITLE     CHAR(72),
	DESCRIP_1        CHAR(60) NOT NULL,
	DESCRIP_2        CHAR(60),
	DESCRIP_3        CHAR(60),
	DESCRIP_4        CHAR(60) );

DROP TABLE MENU_OPTION;
CREATE TABLE MENU_OPTION (
	MENU_NAME        CHAR(6)   NOT NULL,
	APPLICATION_NAME CHAR(6)   NOT NULL,
	OPTION_NUMBER    NUMBER    NOT NULL,
	OPTION_TEXT      CHAR(70)  NOT NULL,
	COMMAND_TYPE     NUMBER    NOT NULL,
	COMMAND_LINE     CHAR(240) NOT NULL,
	LOW_CLASS        NUMBER    NOT NULL,
	HIGH_CLASS       NUMBER    NOT NULL );

DROP TABLE MENU_HELP;
CREATE TABLE MENU_HELP (
	MENU_NAME        CHAR(6)  NOT NULL,
	APPLICATION_NAME CHAR(6)  NOT NULL,
	OPTION_NUMBER    NUMBER   NOT NULL,
	HELP_SEQ_NR      NUMBER   NOT NULL,
	HELP_TEXT        CHAR(77) NOT NULL );

DROP TABLE MENU_PARAM ;
CREATE TABLE MENU_PARAM (
	SUBSTITUTION_STRING CHAR(2) NOT NULL,
	APPLICATION_NAME    CHAR(6) NOT NULL,
	PAR_SIZE            NUMBER  NOT NULL,
	PAR_DEF             CHAR(64),
	ECHO                CHAR(1) NOT NULL,
	MUST_FILL           CHAR(1) NOT NULL,
	RESPONSE_REQUIRED   CHAR(1) NOT NULL,
	UPPER_CASE          CHAR(1) NOT NULL,
	HELP_TEXT           CHAR(78),
	PROMPT              CHAR(40) );

DROP TABLE MENU_PARAM_XREF;
CREATE TABLE MENU_PARAM_XREF (
	MENU_NAME           CHAR(6) NOT NULL,
	APPLICATION_NAME    CHAR(6) NOT NULL,
	SUBSTITUTION_STRING CHAR(2) NOT NULL );

DROP TABLE MENU_APPLICATION;
CREATE TABLE MENU_APPLICATION (
	APPLICATION_NAME   CHAR(6)  NOT NULL,
	CREATION_DATE      DATE     NOT NULL,
	CREATOR            CHAR(16) NOT NULL,
	VERSION_RELEASE_NR NUMBER   NOT NULL,
	LAST_RELEASE_DATE  DATE,
	MENU_DIRECTORY     CHAR(50),
	IDENTIFICATION     CHAR(40) NOT NULL );

DROP TABLE MENU_MESSAGE;
CREATE TABLE MENU_MESSAGE (
	MESS_NR  NUMBER   NOT NULL,
	LANGUAGE CHAR(2)  NOT NULL,
	MAX_SIZE NUMBER   NOT NULL,
	MESSAGE  CHAR(78) NOT NULL );

DROP TABLE MENU_COMMAND_TYPE;
CREATE TABLE MENU_COMMAND_TYPE (
	COMMAND_NO   NUMBER   NOT NULL,
	COMMAND_DESC CHAR(20) NOT NULL );

CREATE PUBLIC SYNONYM MENU_USER         FOR MENU_USER ;
CREATE PUBLIC SYNONYM MENU_WORK_CLASS   FOR MENU_WORK_CLASS ;
CREATE PUBLIC SYNONYM MENU_INFO         FOR MENU_INFO ;
CREATE PUBLIC SYNONYM MENU_OPTION       FOR MENU_OPTION ;
CREATE PUBLIC SYNONYM MENU_HELP         FOR MENU_HELP ;
CREATE PUBLIC SYNONYM MENU_PARAM        FOR MENU_PARAM ;
CREATE PUBLIC SYNONYM MENU_PARAM_XREF   FOR MENU_PARAM_XREF ;
CREATE PUBLIC SYNONYM MENU_APPLICATION  FOR MENU_APPLICATION ;
CREATE PUBLIC SYNONYM MENU_MESSAGE      FOR MENU_MESSAGE ;
CREATE PUBLIC SYNONYM MENU_COMMAND_TYPE FOR MENU_COMMAND_TYPE ;


CREATE UNIQUE INDEX USR_IDX ON MENU_USER 
       (APPLICATION_NAME, USER_NAME);

CREATE UNIQUE INDEX WKC_IDX ON MENU_WORK_CLASS 
       (APPLICATION_NAME, WORK_CLASS);

CREATE UNIQUE INDEX MIF_IDX ON MENU_INFO 
       (APPLICATION_NAME, MENU_NAME);

CREATE UNIQUE INDEX MOP_IDX ON MENU_OPTION 
       (APPLICATION_NAME, MENU_NAME, OPTION_NUMBER);

CREATE UNIQUE INDEX OHP_IDX ON MENU_HELP 
       (APPLICATION_NAME, MENU_NAME, OPTION_NUMBER, HELP_SEQ_NR);

CREATE UNIQUE INDEX PMN_IDX ON MENU_PARAM_XREF 
       (APPLICATION_NAME, MENU_NAME, SUBSTITUTION_STRING);

CREATE UNIQUE INDEX PIF_IDX ON MENU_PARAM 
       (APPLICATION_NAME, SUBSTITUTION_STRING);

CREATE UNIQUE INDEX DMU_IDX ON MENU_APPLICATION 
       (APPLICATION_NAME);

CREATE UNIQUE INDEX MES_IDX ON MENU_MESSAGE 
       (MESS_NR, LANGUAGE);

SPOOL OFF

@?/menu/admin/v4dmuapl

EXIT
